BatchArchiveTestReports
curl --request POST \
--url https://api.siftstack.com/api/v1/test-reports:batchArchive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testReportIds": [
"<string>"
]
}
'import requests
url = "https://api.siftstack.com/api/v1/test-reports:batchArchive"
payload = { "testReportIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-reports:batchArchive"
payload := strings.NewReader("{\n \"testReportIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testReports": [
{
"testReportId": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"runId": "<string>",
"overallModifiedDate": "2023-11-07T05:31:56Z"
}
],
"failures": [
{
"testReportId": "<string>",
"message": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}TestReportService
BatchArchiveTestReports
Archives multiple test reports. Failures are returned per report and do not abort the rest of the batch. A maximum of 1000 reports can be archived in one call.
POST
/
api
/
v1
/
test-reports:batchArchive
BatchArchiveTestReports
curl --request POST \
--url https://api.siftstack.com/api/v1/test-reports:batchArchive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testReportIds": [
"<string>"
]
}
'import requests
url = "https://api.siftstack.com/api/v1/test-reports:batchArchive"
payload = { "testReportIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-reports:batchArchive"
payload := strings.NewReader("{\n \"testReportIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testReports": [
{
"testReportId": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"runId": "<string>",
"overallModifiedDate": "2023-11-07T05:31:56Z"
}
],
"failures": [
{
"testReportId": "<string>",
"message": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request message for BatchArchiveTestReports.
Request message for BatchArchiveTestReports.
Was this page helpful?